View {utils} | R Documentation

## Invoke a Data Viewer

### Description

Invoke a spreadsheet-style data viewer on a matrix-like R object.

### Usage

    View(x, title)

### Arguments

`x` | an R object which can be coerced to a data frame with non-zero numbers of rows and columns.
`title` | title for viewer window. Defaults to name of `x` prefixed by `Data:`.

### Details

Object `x` is coerced (if possible) to a data frame, then columns are converted to character using `format.data.frame`. The object is then viewed in a spreadsheet-like data viewer, a read-only version of `data.entry`.

If there are row names on the data frame that are not `1:nrow`, they are displayed in a separate first column called `row.names`.

Objects with zero columns or zero rows are not accepted.

The array of cells can be navigated via the scrollbars and by the cursor keys, Home, End, Page Up and Page Down.

The initial size of the data viewer window is taken from the default dimensions of a pager (see `Rconsole`), but adjusted downwards to show a whole number of rows and columns.

### Value

Invisible `NULL`. The functions puts up a window and returns immediately: the window can be closed via its controls or menus.

### See Also

`edit.data.frame`, `data.entry`.

[Package utils version 3.5.3 Index]